Upstream information

CVE-2012-3421 at MITRE

Description

The pduread function in pdu.c in libpcp in Performance Co-Pilot (PCP) before 3.6.5 does not properly time out connections, which allows remote attackers to cause a denial of service (pmcd hang) by sending individual bytes of a PDU separately, related to an "event-driven programming flaw."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 775009 [RESOLVED / FIXED], 775013 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • libpcp3 >= 3.6.10-0.3.1
  • pcp >= 3.6.10-0.3.1
  • pcp-devel >= 3.6.10-0.3.1
  • pcp-import-iostat2pcp >= 3.6.10-0.3.1
  • pcp-import-mrtg2pcp >= 3.6.10-0.3.1
  • pcp-import-sar2pcp >= 3.6.10-0.3.1
  • pcp-import-sheet2pcp >= 3.6.10-0.3.1
  • perl-PCP-LogImport >= 3.6.10-0.3.1
  • perl-PCP-LogSummary >= 3.6.10-0.3.1
  • perl-PCP-MMV >= 3.6.10-0.3.1
  • perl-PCP-PMDA >= 3.6.10-0.3.1
  • permissions >= 2013.1.7-0.3.1
Patchnames:
sdksp2-libpcp3
sledsp2-libpcp3
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libpcp3 >= 3.6.10-0.3.1
  • pcp >= 3.6.10-0.3.1
  • pcp-devel >= 3.6.10-0.3.1
  • pcp-import-iostat2pcp >= 3.6.10-0.3.1
  • pcp-import-mrtg2pcp >= 3.6.10-0.3.1
  • pcp-import-sar2pcp >= 3.6.10-0.3.1
  • pcp-import-sheet2pcp >= 3.6.10-0.3.1
  • perl-PCP-LogImport >= 3.6.10-0.3.1
  • perl-PCP-LogSummary >= 3.6.10-0.3.1
  • perl-PCP-MMV >= 3.6.10-0.3.1
  • perl-PCP-PMDA >= 3.6.10-0.3.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libpcp3-3.6.10-0.3.1
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libpcp-devel >= 3.6.10-4.124
  • libpcp3 >= 3.6.10-4.124
  • pcp >= 3.6.10-4.124
  • pcp-import-iostat2pcp >= 3.6.10-4.124
  • pcp-import-mrtg2pcp >= 3.6.10-4.124
  • pcp-import-sar2pcp >= 3.6.10-4.124
  • pcp-import-sheet2pcp >= 3.6.10-4.124
  • perl-PCP-LogImport >= 3.6.10-4.124
  • perl-PCP-LogSummary >= 3.6.10-4.124
  • perl-PCP-MMV >= 3.6.10-4.124
  • perl-PCP-PMDA >= 3.6.10-4.124
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libpcp-devel-3.6.10-4.124
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libpcp-devel >= 3.6.10-4.97
  • libpcp3 >= 3.6.10-4.97
  • pcp >= 3.6.10-4.97
  • pcp-import-iostat2pcp >= 3.6.10-4.97
  • pcp-import-mrtg2pcp >= 3.6.10-4.97
  • pcp-import-sar2pcp >= 3.6.10-4.97
  • pcp-import-sheet2pcp >= 3.6.10-4.97
  • perl-PCP-LogImport >= 3.6.10-4.97
  • perl-PCP-LogSummary >= 3.6.10-4.97
  • perl-PCP-MMV >= 3.6.10-4.97
  • perl-PCP-PMDA >= 3.6.10-4.97
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libpcp-devel-3.6.10-4.124
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libpcp-devel >= 3.6.10-4.97
  • libpcp3 >= 3.6.10-4.97
  • pcp >= 3.6.10-4.97
  • pcp-import-iostat2pcp >= 3.6.10-4.97
  • pcp-import-mrtg2pcp >= 3.6.10-4.97
  • pcp-import-sar2pcp >= 3.6.10-4.97
  • pcp-import-sheet2pcp >= 3.6.10-4.97
  • perl-PCP-LogImport >= 3.6.10-4.97
  • perl-PCP-LogSummary >= 3.6.10-4.97
  • perl-PCP-MMV >= 3.6.10-4.97
  • perl-PCP-PMDA >= 3.6.10-4.97
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libpcp-devel-3.6.10-4.124
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libpcp-devel >= 3.11.9-6.7.2
  • libpcp3 >= 3.11.9-6.7.2
  • pcp >= 3.11.9-6.7.2
  • pcp-import-iostat2pcp >= 3.11.9-6.7.2
  • pcp-import-mrtg2pcp >= 3.11.9-6.7.2
  • pcp-import-sar2pcp >= 3.11.9-6.7.2
  • pcp-import-sheet2pcp >= 3.6.10-4.97
  • perl-PCP-LogImport >= 3.11.9-6.7.2
  • perl-PCP-LogSummary >= 3.11.9-6.7.2
  • perl-PCP-MMV >= 3.11.9-6.7.2
  • perl-PCP-PMDA >= 3.11.9-6.7.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libpcp-devel-3.11.9-6.7.2
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Software Development Kit 12
  • libpcp3 >= 3.6.10-4.124
  • pcp >= 3.6.10-4.124
  • pcp-import-iostat2pcp >= 3.6.10-4.124
  • pcp-import-mrtg2pcp >= 3.6.10-4.124
  • pcp-import-sar2pcp >= 3.6.10-4.124
  • pcp-import-sheet2pcp >= 3.6.10-4.124
  • perl-PCP-LogImport >= 3.6.10-4.124
  • perl-PCP-LogSummary >= 3.6.10-4.124
  • perl-PCP-MMV >= 3.6.10-4.124
  • perl-PCP-PMDA >= 3.6.10-4.124
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libpcp3-3.6.10-4.124
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Development Tools 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • libpcp-devel >= 3.11.9-3.116
  • libpcp3 >= 3.11.9-3.116
  • libpcp_gui2 >= 3.11.9-3.116
  • libpcp_import1 >= 3.11.9-3.116
  • libpcp_mmv1 >= 3.11.9-3.116
  • libpcp_trace2 >= 3.11.9-3.116
  • libpcp_web1 >= 3.11.9-3.116
  • pcp >= 3.11.9-3.116
  • pcp-conf >= 3.11.9-3.116
  • pcp-devel >= 3.11.9-3.116
  • pcp-doc >= 3.11.9-3.116
  • pcp-import-iostat2pcp >= 3.11.9-3.116
  • pcp-import-mrtg2pcp >= 3.11.9-3.116
  • pcp-import-sar2pcp >= 3.11.9-3.116
  • perl-PCP-LogImport >= 3.11.9-3.116
  • perl-PCP-LogSummary >= 3.11.9-3.116
  • perl-PCP-MMV >= 3.11.9-3.116
  • perl-PCP-PMDA >= 3.11.9-3.116
  • python-pcp >= 3.11.9-3.116
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 GA libpcp-devel-3.11.9-3.116
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • libpcp3 >= 3.6.10-0.3.1
  • pcp >= 3.6.10-0.3.1
  • pcp-devel >= 3.6.10-0.3.1
  • pcp-import-iostat2pcp >= 3.6.10-0.3.1
  • pcp-import-mrtg2pcp >= 3.6.10-0.3.1
  • pcp-import-sar2pcp >= 3.6.10-0.3.1
  • pcp-import-sheet2pcp >= 3.6.10-0.3.1
  • perl-PCP-LogImport >= 3.6.10-0.3.1
  • perl-PCP-LogSummary >= 3.6.10-0.3.1
  • perl-PCP-MMV >= 3.6.10-0.3.1
  • perl-PCP-PMDA >= 3.6.10-0.3.1
  • permissions >= 2013.1.7-0.3.1
Patchnames:
sdksp2-libpcp3
slessp2-libpcp3
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libpcp-devel >= 3.11.9-6.7.2
  • libpcp3 >= 3.11.9-6.7.2
  • libpcp_gui2 >= 3.11.9-6.7.2
  • libpcp_import1 >= 3.11.9-6.7.2
  • libpcp_mmv1 >= 3.11.9-6.7.2
  • libpcp_trace2 >= 3.11.9-6.7.2
  • libpcp_web1 >= 3.11.9-6.7.2
  • pcp >= 3.11.9-6.7.2
  • pcp-conf >= 3.11.9-6.7.2
  • pcp-devel >= 3.11.9-6.7.2
  • pcp-doc >= 3.11.9-6.7.2
  • pcp-export-pcp2graphite >= 3.11.9-6.7.2
  • pcp-export-pcp2influxdb >= 3.11.9-6.7.2
  • pcp-export-zabbix-agent >= 3.11.9-6.7.2
  • pcp-gui >= 3.11.9-6.7.2
  • pcp-import-collectl2pcp >= 3.11.9-6.7.2
  • pcp-import-ganglia2pcp >= 3.11.9-6.7.2
  • pcp-import-iostat2pcp >= 3.11.9-6.7.2
  • pcp-import-mrtg2pcp >= 3.11.9-6.7.2
  • pcp-import-sar2pcp >= 3.11.9-6.7.2
  • pcp-import-sheet2pcp >= 3.6.10-4.97
  • pcp-manager >= 3.11.9-6.7.2
  • pcp-pmda-activemq >= 3.11.9-6.7.2
  • pcp-pmda-apache >= 3.11.9-6.7.2
  • pcp-pmda-bash >= 3.11.9-6.7.2
  • pcp-pmda-bind2 >= 3.11.9-6.7.2
  • pcp-pmda-bonding >= 3.11.9-6.7.2
  • pcp-pmda-cifs >= 3.11.9-6.7.2
  • pcp-pmda-cisco >= 3.11.9-6.7.2
  • pcp-pmda-dbping >= 3.11.9-6.7.2
  • pcp-pmda-dm >= 3.11.9-6.7.2
  • pcp-pmda-docker >= 3.11.9-6.7.2
  • pcp-pmda-ds389 >= 3.11.9-6.7.2
  • pcp-pmda-ds389log >= 3.11.9-6.7.2
  • pcp-pmda-elasticsearch >= 3.11.9-6.7.2
  • pcp-pmda-gfs2 >= 3.11.9-6.7.2
  • pcp-pmda-gluster >= 3.11.9-6.7.2
  • pcp-pmda-gpfs >= 3.11.9-6.7.2
  • pcp-pmda-gpsd >= 3.11.9-6.7.2
  • pcp-pmda-infiniband >= 3.11.9-6.7.2
  • pcp-pmda-kvm >= 3.11.9-6.7.2
  • pcp-pmda-libvirt >= 3.11.9-6.7.2
  • pcp-pmda-lio >= 3.11.9-6.7.2
  • pcp-pmda-lmsensors >= 3.11.9-6.7.2
  • pcp-pmda-logger >= 3.11.9-6.7.2
  • pcp-pmda-lustre >= 3.11.9-6.7.2
  • pcp-pmda-lustrecomm >= 3.11.9-6.7.2
  • pcp-pmda-mailq >= 3.11.9-6.7.2
  • pcp-pmda-memcache >= 3.11.9-6.7.2
  • pcp-pmda-mic >= 3.11.9-6.7.2
  • pcp-pmda-mounts >= 3.11.9-6.7.2
  • pcp-pmda-mysql >= 3.11.9-6.7.2
  • pcp-pmda-named >= 3.11.9-6.7.2
  • pcp-pmda-netfilter >= 3.11.9-6.7.2
  • pcp-pmda-news >= 3.11.9-6.7.2
  • pcp-pmda-nfsclient >= 3.11.9-6.7.2
  • pcp-pmda-nginx >= 3.11.9-6.7.2
  • pcp-pmda-nutcracker >= 3.11.9-6.7.2
  • pcp-pmda-nvidia-gpu >= 3.11.9-6.7.2
  • pcp-pmda-oracle >= 3.11.9-6.7.2
  • pcp-pmda-pdns >= 3.11.9-6.7.2
  • pcp-pmda-perfevent >= 3.11.9-6.7.2
  • pcp-pmda-postfix >= 3.11.9-6.7.2
  • pcp-pmda-redis >= 3.11.9-6.7.2
  • pcp-pmda-roomtemp >= 3.11.9-6.7.2
  • pcp-pmda-rpm >= 3.11.9-6.7.2
  • pcp-pmda-rsyslog >= 3.11.9-6.7.2
  • pcp-pmda-samba >= 3.11.9-6.7.2
  • pcp-pmda-sendmail >= 3.11.9-6.7.2
  • pcp-pmda-shping >= 3.11.9-6.7.2
  • pcp-pmda-slurm >= 3.11.9-6.7.2
  • pcp-pmda-snmp >= 3.11.9-6.7.2
  • pcp-pmda-summary >= 3.11.9-6.7.2
  • pcp-pmda-systemd >= 3.11.9-6.7.2
  • pcp-pmda-trace >= 3.11.9-6.7.2
  • pcp-pmda-unbound >= 3.11.9-6.7.2
  • pcp-pmda-vmware >= 3.11.9-6.7.2
  • pcp-pmda-weblog >= 3.11.9-6.7.2
  • pcp-pmda-zimbra >= 3.11.9-6.7.2
  • pcp-pmda-zswap >= 3.11.9-6.7.2
  • pcp-system-tools >= 3.11.9-6.7.2
  • pcp-webapi >= 3.11.9-6.7.2
  • perl-PCP-LogImport >= 3.11.9-6.7.2
  • perl-PCP-LogSummary >= 3.11.9-6.7.2
  • perl-PCP-MMV >= 3.11.9-6.7.2
  • perl-PCP-PMDA >= 3.11.9-6.7.2
  • python-pcp >= 3.11.9-6.7.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libpcp-devel-3.11.9-6.7.2
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libpcp3 >= 3.6.10-0.3.1
  • pcp >= 3.6.10-0.3.1
  • pcp-devel >= 3.6.10-0.3.1
  • pcp-import-iostat2pcp >= 3.6.10-0.3.1
  • pcp-import-mrtg2pcp >= 3.6.10-0.3.1
  • pcp-import-sar2pcp >= 3.6.10-0.3.1
  • pcp-import-sheet2pcp >= 3.6.10-0.3.1
  • perl-PCP-LogImport >= 3.6.10-0.3.1
  • perl-PCP-LogSummary >= 3.6.10-0.3.1
  • perl-PCP-MMV >= 3.6.10-0.3.1
  • perl-PCP-PMDA >= 3.6.10-0.3.1
Patchnames:
sdksp2-libpcp3
openSUSE Tumbleweed
  • libpcp-devel >= 3.10.4-1.23
  • libpcp3 >= 3.10.4-1.23
  • pcp >= 3.10.4-1.23
  • pcp-conf >= 3.10.4-1.23
  • pcp-doc >= 3.10.4-1.23
  • pcp-gui >= 3.10.4-1.23
  • pcp-import-collectl2pcp >= 3.10.4-1.23
  • pcp-import-ganglia2pcp >= 3.10.4-1.23
  • pcp-import-iostat2pcp >= 3.10.4-1.23
  • pcp-import-mrtg2pcp >= 3.10.4-1.23
  • pcp-import-sar2pcp >= 3.10.4-1.23
  • pcp-import-sheet2pcp >= 3.10.4-1.23
  • pcp-manager >= 3.10.4-1.23
  • pcp-pmda-infiniband >= 3.10.4-1.23
  • pcp-testsuite >= 3.10.4-1.23
  • pcp-webapi >= 3.10.4-1.23
  • pcp-webjs >= 3.10.4-1.23
  • perl-PCP-LogImport >= 3.10.4-1.23
  • perl-PCP-LogSummary >= 3.10.4-1.23
  • perl-PCP-MMV >= 3.10.4-1.23
  • perl-PCP-PMDA >= 3.10.4-1.23
  • python-pcp >= 3.10.4-1.23
Patchnames:
openSUSE Tumbleweed GA libpcp-devel-3.10.4-1.23


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 11 SP2 pcp Released
SUSE Linux Enterprise Desktop 11 SP4 pcp Affected
SUSE Linux Enterprise Server 11 SP2 pcp Released
SUSE Linux Enterprise Server 11 SP4 pcp Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 pcp Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 pcp Affected
SUSE Linux Enterprise Software Development Kit 11 SP2 pcp Released
SUSE Linux Enterprise Software Development Kit 11 SP4 pcp Affected


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 08:42:43 2013
CVE page last modified: Tue Jan 17 12:13:29 2023